unit uVerificarDependenciaRO;


interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  xmatdefs, matreal, uauxiliares, uro_aire, ucurvasfabricante;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }






procedure TForm1.Button1Click(Sender: TObject);
var
  f: textfile;
  k, j: integer;
  Curvas: TMolino_CurvasDelFabricante;
  pv3, PE, PMax: NReal;
  Area: NReal;
  Cp: NReal;
begin
  Curvas:= TMolino_CurvasDelFabricante.CreateReadFromArchi( 'C:\simsee\SimSEE_src\src\trunk\ax\EstimadorGeneracionERNC\Curvas de potencia\N117_CurvasFabricante.txt');

  PMax:= Curvas.PE_MW.MaxVal;
  Area:= pi * sqr( Curvas.Diametro / 2 );

  setSeparadoresLocales;
  assignfile( f, 'c:\basura\curvas.xlt' );
  rewrite( f );
  write( f, 'pv3', #9, 'v' );
  for j:= 1 to Curvas.nDens do
   write( f, #9, Curvas.dens.e(j ) );
  writeln( f );
  for k:= 1 to Curvas.nVels do
  begin
    write( f, curvas.pv3base.e(k) ); // Curvas.pv3base.e( k ) );
    write( f, #9, Curvas.vels.e( k ) );
    for j:= 1 to Curvas.nDens do
    begin
      pv3:= pv3Ofv( Curvas.vels.e(k), curvas.dens.e(j) )* Area;
      PE:= Curvas.PE_MW.e( j, k );
      Cp:= PE/ pv3;
      write( f, #9, Cp );
    end;
    writelN( f );
  end;
  closefile( f );
end;

end.

